package main

// Evidence Types
const (
	EMF5          = iota // 0
	FreezingTemps        // 1
	SpiritBox            // 2
	GhostWriting         // 3
	Fingerprints         // 4
	GhostOrbs            // 5
)

func evidenceToStr(tag int) string {
	switch tag {
	case 0:
		return "EMF5"
	case 1:
		return "Freezing Temps"
	case 2:
		return "Spirit Box"
	case 3:
		return "Ghost Writing"
	case 4:
		return "Fingerprints"
	case 5:
		return "Ghost Orbs"
	default:
		return ""
	}
}

// Bonus Objectives
const (
	Photo = iota
	Event
	Motion
	Crucifix
	EMF
	SmudgeCleanse
	SmudgeHunt
	Salt
	Candle
	LowSanity
	MemberEscape
	NoDeaths
)

func objectiveToStr(tag int) string {
	switch tag {
	case 0:
		return "Capture a photo of the ghost."
	case 1:
		return "Witness a ghost event."
	case 2:
		return "Get the ghost to walk through a motion sensor."
	case 3:
		return "Stop a hunt with a crucifix."
	case 4:
		return "Get an EMF reading."
	case 5:
		return "Cleanse the area around the ghost with a Smudge stick."
	case 6:
		return "Smudge the ghost during a hunt."
	case 7:
		return "Get the ghost to walk through salt."
	case 8:
		return "Get the ghost to blow out a candle."
	case 9:
		return "Get an average sanity of below 25%."
	case 10:
		return "Have a mamber of your team escape a ghost hunt."
	case 11:
		return "Complete the investigation with no deaths."
	default:
		return ""
	}
}

// Game for Phasbot
type Game struct {
	Identifier       string
	PostID           string
	Ghost            Spookster
	PossibleGhosts   []Spookster
	PossibleEvidence []int
	RoomID           string
	Evidence         []int
	Objective        []int
}

// Ghost type (but didn't want to call it ghost bc variable name)
type Spookster struct {
	GhostType   string
	GhostName   string
	Evidence    []int
	Strengths   string
	Weaknesses  string
	Description string
}
